Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## it.csi.mddtools.servicedef
Enum TXTypeEnum

    java.lang.Object
      java.lang.Enum<TXTypeEnum>
          it.csi.mddtools.servicedef.TXTypeEnum

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<TXTypeEnum>, org.eclipse.emf.common.util.Enumerator

    public enum TXTypeEnum

extends java.lang.Enum<TXTypeEnum>
implements org.eclipse.emf.common.util.Enumerator

A representation of the literals of the enumeration 'TX Type Enum', and utility methods for working with them. [[ TODO - add documentation here ]]

See Also:
  `ServicedefPackage.getTXTypeEnum()`

Enum Constant Summary
`NEW_LOCAL_TX` The 'New Local TX' literal object
`NO_TX` The 'No TX' literal object

Field Summary
`static int` | `NEW_LOCAL_TX_VALUE` The 'New Local TX' literal value
`static int` | `NO_TX_VALUE` The 'No TX' literal value
`static java.util.List<TXTypeEnum>` | `VALUES` A public read-only list of all the 'TX Type Enum' enumerators

Method Summary
`static TXTypeEnum` | `get(int value)` Returns the 'TX Type Enum' literal with the specified integer value
`static TXTypeEnum` | `get(java.lang.String literal)` Returns the 'TX Type Enum' literal with the specified literal value
`static TXTypeEnum` | `getByName(java.lang.String name)` Returns the 'TX Type Enum' literal with the specified name
`java.lang.String` | `getLiteral()`
`java.lang.String` | `getName()`
`int` | `getValue()`
`java.lang.String` | `toString()` Returns the literal value of the enumerator, which is its string representation
`static TXTypeEnum` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static TXTypeEnum[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### NO_TX

    public static final TXTypeEnum NO_TX

  The 'No TX' literal object.

  See Also:
    `NO_TX_VALUE`

### NEW_LOCAL_TX

    public static final TXTypeEnum NEW_LOCAL_TX

  The 'New Local TX' literal object.

  See Also:
    `NEW_LOCAL_TX_VALUE`

Field Detail

### NO_TX_VALUE

    public static final int NO_TX_VALUE

  The 'No TX' literal value.

  If the meaning of 'No TX' literal object isn't clear, there really should be more of a description here...

  [[ TODO - add documentation here ]]

  See Also:
    `NO_TX`, Constant Field Values

### NEW_LOCAL_TX_VALUE

    public static final int NEW_LOCAL_TX_VALUE

  The 'New Local TX' literal value.

  If the meaning of 'New Local TX' literal object isn't clear, there really should be more of a description here...

  [[ TODO - add documentation here ]]

  See Also:
    `NEW_LOCAL_TX`, Constant Field Values

### VALUES

    public static final java.util.List<TXTypeEnum> VALUES

  A public read-only list of all the 'TX Type Enum' enumerators.

Method Detail

### values

    public static final TXTypeEnum[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(TXTypeEnum c : TXTypeEnum.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static TXTypeEnum valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### get

    public static TXTypeEnum get(java.lang.String literal)

  Returns the 'TX Type Enum' literal with the specified literal value.

### getByName

    public static TXTypeEnum getByName(java.lang.String name)

  Returns the 'TX Type Enum' literal with the specified name.

### get

    public static TXTypeEnum get(int value)

  Returns the 'TX Type Enum' literal with the specified integer value.

### getValue

    public int getValue()

  Specified by:
    `getValue` in interface `org.eclipse.emf.common.util.Enumerator`

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in interface `org.eclipse.emf.common.util.Enumerator`

### getLiteral

    public java.lang.String getLiteral()

  Specified by:
    `getLiteral` in interface `org.eclipse.emf.common.util.Enumerator`

### toString

    public java.lang.String toString()

  Returns the literal value of the enumerator, which is its string representation.

  Overrides:
    `toString` in class `java.lang.Enum<TXTypeEnum>`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD